Fedora Linux Support Community & Resources Center
  #1  
Old 2nd February 2011, 02:14 AM
sigafoos1337 Offline
Registered User
 
Join Date: Jan 2011
Posts: 7
linuxfedorafirefox
Cannot find libGL.so.1()(64bit)

I am looking for this file, so i can open Google Earth. Can anyone help please?!
Reply With Quote
  #2  
Old 2nd February 2011, 04:50 AM
CronoCloud Offline
Registered User
 
Join Date: May 2010
Location: Midwest USA
Posts: 451
linuxfedorafirefox
Re: Cannot find libGL.so.1()(64bit)

Yum has a very handy "whatprovides" function to find things like this out:

Code:
 yum whatprovides */lib64/libGL.so.1
that will tell you that it is provided in the "mesa-libGL" package.

Ron Rogers Jr. (CronoCloud)
Reply With Quote
  #3  
Old 2nd February 2011, 03:30 PM
sigafoos1337 Offline
Registered User
 
Join Date: Jan 2011
Posts: 7
linuxfedorafirefox
Re: Cannot find libGL.so.1()(64bit)

Thank you for the response, it says that it is installed. But why is that Google Earth cannot find it?
Reply With Quote
  #4  
Old 2nd February 2011, 03:58 PM
jpollard Offline
Registered User
 
Join Date: Aug 2009
Location: Waldorf, Maryland
Posts: 6,830
linuxfedorafirefox
Re: Cannot find libGL.so.1()(64bit)

It may not be in the search path for libraries. Locate the path and
add it to LD_LIBRARY_PATH and see if it finds it then.
Reply With Quote
  #5  
Old 2nd February 2011, 07:46 PM
SiliconSlick Offline
Registered User
 
Join Date: Aug 2009
Location: College Station, TX
Posts: 501
linuxfedorafirefox
Re: Cannot find libGL.so.1()(64bit)

Are you sure Google Earth is looking for the 64-bit one or are you just indicating that you are on a 64-bit system (re: 64-bit in Subject?

If GE wants 64-bit, then dunno as mesa-libGL should provide that and the lib64 dirs should be scanned by default.

If, however, you are running 32-bit GE on a 64-bit system then you probably need to install the mesa-libGL.i686 (32-bit) package.

SS
Reply With Quote
  #6  
Old 3rd February 2011, 05:07 AM
sigafoos1337 Offline
Registered User
 
Join Date: Jan 2011
Posts: 7
linuxfedorafirefox
Re: Cannot find libGL.so.1()(64bit)

@ SiliconSlick, it is not asking for 64bit, sorry for the confusion, but I will try getting this to work. Thanks again guys.

---------- Post added at 05:00 AM ---------- Previous post was at 04:57 AM ----------

@ SiliconSlick, I downloaded the i686 package, and it works perfectly. Thank you very much everybody for your responses!!

---------- Post added at 05:07 AM ---------- Previous post was at 05:00 AM ----------

So, once I installed the mesa package, google earth would start to launch, and once I saw the splash screen, it would then crash, with this in the crash log.

Major Version 6
Minor Version 0
Build Number 0001
Build Date Dec 10 2010
Build Time 22:42:27
OS Type 3
OS Major Version 2
OS Minor Version 6
OS Build Version 35
OS Patch Version 10
Crash Signal 11
Crash Time 1296709320
Up Time 0.727135

Stacktrace from glibc:
./libgoogleearth_free.so(+0xac2a3)[0x94b2a3]
./libgoogleearth_free.so(+0xac423)[0x94b423]
[0xd43400]
/usr/lib/libGL.so.1(glXMakeCurrent+0x17)[0x453ecc]
./libIGGfx.so(_ZN3Gap3Gfx18igOglVisualContext19inter nalMakeCurrentEv+0x33)[0x7581fc3]
./libIGGfx.so(_ZN3Gap3Gfx18igOglVisualContext21inter nalCreateContextEv+0x1af)[0x758431f]
./libIGGfx.so(_ZN3Gap3Gfx18igOglVisualContext4openEv +0x93)[0x758d303]
/opt/google-earth/libevll.so(_ZN5earth4evll13VisualContext11OpenCont extEN3Gap3Gfx25igRenderDestinationFormatERKNS0_8In itInfoE+0xff)[0x2f25d8f]
/opt/google-earth/libevll.so(_ZN5earth4evll13VisualContext4initERKNS 0_8InitInfoE+0x18e)[0x2f2875e]
/opt/google-earth/libevll.so(_ZN5earth4evll17RenderContextImpl4initE RKNS0_8InitInfoE+0x7e)[0x2e8728e]
./librender.so(_ZN12RenderWidget6SetApiEPN5earth4evl l3APIE+0x47)[0x57708c7]
./librender.so(_ZN5earth6render12RenderWindow12creat eWidgetEv+0x16a)[0x575530a]
./libgoogleearth_free.so(_ZN5earth6client12ModuleWid get9showEventEP10QShowEvent+0x8d)[0x925b9d]
./libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x770)[0xee4a60]
./libQtGui.so.4(_ZN19QApplicationPrivate13notify_hel perEP7QObjectP6QEvent+0xac)[0xe8169c]
./libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6 QEvent+0x484)[0xe8c6c4]
./libQtCore.so.4(_ZN16QCoreApplication14notifyIntern alEP7QObjectP6QEvent+0x78)[0x279ba8]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x145)[0xee66d5]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveE v+0x7d)[0xee63cd]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+ 0xc5)[0xee64b5]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x61)[0xee65f1]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xee6a2b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+ 0x170)[0xee6560]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x61)[0xee65f1]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveE v+0x7d)[0xee63cd]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+ 0xc5)[0xee64b5]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x61)[0xee65f1]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xee6a2b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+ 0x170)[0xee6560]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x61)[0xee65f1]
./libQtGui.so.4(_ZN14QWidgetPrivate14show_recursiveE v+0x7d)[0xee63cd]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+ 0xc5)[0xee64b5]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x61)[0xee65f1]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xee6a2b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+ 0x170)[0xee6560]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x61)[0xee65f1]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xee6a2b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+ 0x170)[0xee6560]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x61)[0xee65f1]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xee6a2b]
./libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+ 0x170)[0xee6560]
./libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0 x61)[0xee65f1]
./libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1db)[0xee6a2b]
./libQtGui.so.4(_ZN7QWidget10showNormalEv+0x5c)[0xed416c]
./libgoogleearth_free.so(_ZN10MainWindow18readScreen sizeInfoEv+0xd2f)[0x91808f]
./libgoogleearth_free.so(_ZN5earth6client11Applicati on12SetupMainWinENS0_3Kvw7ProductEb+0x31c)[0x95225c]
./libgoogleearth_free.so(_ZN5earth6client11Applicati on3runEv+0x4d6)[0x955406]
./libgoogleearth_free.so(+0xaad1b)[0x949d1b]
./libgoogleearth_free.so(earthmain+0x247)[0x94aed7]
./googleearth-bin[0x804871b]
/lib/libc.so.6(__libc_start_main+0xe6)[0x4d188e16]
./googleearth-bin[0x8048661]
Reply With Quote
  #7  
Old 3rd February 2011, 05:48 PM
soundfreely Offline
Registered User
 
Join Date: Jun 2010
Location: New Jersey
Posts: 58
windows_7firefox
Re: Cannot find libGL.so.1()(64bit)

Have you tried installing the 32 bit library? I've found Google Earth, while it may say it's 64 bit, will still need the 32 bit mesa libraries to run.
Reply With Quote
  #8  
Old 4th February 2011, 12:26 AM
sigafoos1337 Offline
Registered User
 
Join Date: Jan 2011
Posts: 7
linuxfedorafirefox
Re: Cannot find libGL.so.1()(64bit)

@ Soundfreely, once I did install the 32bit package, it began to launch the program, but once the splash screen was displayed, it just crashes!
Reply With Quote
  #9  
Old 4th February 2011, 05:56 PM
soundfreely Offline
Registered User
 
Join Date: Jun 2010
Location: New Jersey
Posts: 58
windows_7firefox
Re: Cannot find libGL.so.1()(64bit)

Have you installed the 32 bit libraries for your video card? You will also need the 32 bit redhat-lsb. The easiest way there may just be: "yum install redhat-lsb*"
Reply With Quote
Reply

Tags
libglso164bit

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Where to find checksum code f11/12 64bit NewToNix Using Fedora 2 7th February 2010 08:48 PM
Where can I find libdc1394.so.22()(64bit) ? OralDeckard Using Fedora 19 23rd November 2008 01:03 AM
Upgrading F7 64bit to F8 64bit errors out with strange error ajamison Installation, Upgrades and Live Media 3 30th December 2007 08:41 AM
FC4 64bit Radeon Driver Install - Mesa libGL Conflict CheezyArmpit Hardware & Laptops 0 26th June 2005 01:59 PM


Current GMT-time: 18:54 (Tuesday, 02-09-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat